# Uses of Class
classycle.ClassAttributes

Packages that use ClassAttributes
Package
Description
classycle

## Uses of ClassAttributes in classycle

Methods in classycle that return ClassAttributes
Modifier and Type
Method
Description
`static ClassAttributes`
ClassAttributes.`createAbstractClass(String name, String source, int size)`
Creates an instance of the type `ABSTRACT_CLASS`.
`static ClassAttributes`
ClassAttributes.`createClass(String name, String source, int size)`
Creates an instance of the type `CLASS`.
`static ClassAttributes`
ClassAttributes.`createInterface(String name, String source, int size)`
Creates an instance of the type `INTERFACE`.
`static ClassAttributes`
ClassAttributes.`createUnknownClass(String name, int size)`
Creates an instance of the type `UNKNOWN`.
Methods in classycle with parameters of type ClassAttributes
Modifier and Type
Method
Description
`void`
PackageAttributes.`addClass(ClassAttributes classAttributes)`
`void`
PackageVertex.`addClass(ClassAttributes classAttributes)`